# My Project: include/readers/JSONReader.hh File Reference

Loading...
Searching...
No Matches
JSONReader.hh File Reference
`#include <queue>`
`#include <string>`
`#include <memory>`
`#include "trading.pb.h"`
`#include <nlohmann/json.hpp>`
Include dependency graph for JSONReader.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | readers
namespace | readers::json

## Typedefs

using | readers::json::JSON = nlohmann::json
using | readers::json::OrderQueue = std::queue<trading::Order>

## Functions

OrderQueue | readers::json::read_orders_from_json (const std::string &filename)